AfterDawn Forums

R4i stopped working after dsi update

This discussion thread has 13 messages.

#1
I have R4i v 1.4.1 card. I recently updated my dsi and now the card does not work and shows error message. Is there a way to rectify this problem or do I need to buy a new card
▼▼ This topic has 12 answers - they are below this advertisement ▼▼
AfterDawn Advertisement
#2
Hi
I am having much the same problem and would love some smart cookie out there to help please.

Im running R4i Gold card v1.4 1 on my Sons DSIxl and all was working fine UNTIL the software got upgraded..now doesnt work at all!!!
Can i upgrade the card to v1.42 or do I need to buy new card.

Have had a look and there seems to be warnings NOT to upgrade.

Thank you for reading this and thank you in advance for any suggestions

regards
#3
Same problem here, but I don't think there's a solution for it. It's been a month and I still haven't seen any updated firmware released to fix this problem, so I'm pretty sure we won't get one. I'm guessing the only solution now would be to buy a 3DS card, which supposedly isn't affected by the upgrade.
#4
I have just received this message from som1 in another forum.....im passing it on in case it helps anyone x

"I know this can be quite frustrating. however, some of the manufacturers are now confirming that an up date kernel to fix the compatibility issue between the v.1.4.1/v.1.4.2 card and the Nintendo software update v.1.4.3 is due to be released over the next couple of days. I would advise you to visit the manufacturers website for your particular card before you look at making another purchase. Hopefully your current card will be supported again! "

so looks as tho we should sit tight and hope for the best guys x
#5
blomquist Suspended due non-functional email address
Sounds like the R4i gold you have is the old R4i gold, not the R4i gold 3ds card, yesterday R4i gold team have already released the new patch for R4i gold to make it work on DSi V1.43 you can use that patch to update your card. just go to R4ids.cn
#6
I like it how, in order to install the upgrade that makes carts work again, you have to use your cart :D Couldn't they released it in a downloadable form?
#7
Hi
Have just downloaded this R4i English V1.51b and this fwup143.nds from here http://r4i-gold.eu/downloade.asp as it states it supports dsi xl v 1.43. It does not work for me . I was wondering if it has worked for anyone else.

regards
#8
From what I can see, no downloadable update works. The only way to play is to not have updated at all, go to your (working) flashcart and download the 1.4.3 update from there, and then update from the store. And even THEN it's not guaranteed it'd work.

Bottom line - the R4 team released the update. Only not for the people who actually need it.
#9
nekedavis Suspended due non-functional email address
Hello
I am having much the same problem and would love some smart cookie out there to help please.
First, always make sure you buy a legit card. There are so many R4i clones out there it's insane, the "official" one has the website but even that isn't so great, I'll explain below.
If you want a USA seller, then go with a card- but I advise one important thing! DON'T get cheap r4 card if you can afford to! It's totally worth the extra few bucks to get a better card like r4ds card etc. because they will actually be updatable withget the newest card. Otherwise when the new buy r4i card comes out, if you update your card. you'll simply have to buy a replacement card. That's why the R4i is so cheap - the chip they use inside can't have itsbest r4 card updated. When 1.4.1 r4 card came out, everyone 'switched' to a new R4i or better card.
I use the Acekard 2i myself, but the iEDGE is sleek in its packaging and I've bought that one as a gift when I buy for others.

Good luck!
This message has been edited since its posting. Latest edit was made on 28 Jul 2011 @ 23:19
#10
Originally posted by sandchat74:
I have R4i v 1.4.1 card. I recently updated my dsi and now the card does not work and shows error message. Is there a way to rectify this problem or do I need to buy a new card
#11
blomquist Suspended due non-functional email address
You need to reflash your R4i gold with another DS console and then use it again.If you want to buy another card, then R4i gold 3ds, Acekard 2i or DSTwo is your best choose.
#12
Thanks blomquist......could you possibly give me easy instruction to reflash card. I have spare ds lite would that do?

many regards
#13
Originally posted by blomquist:
You need to reflash your R4i gold with another DS console and then use it again.If you want to buy another card, then R4i gold 3ds, Acekard 2i or DSTwo is your best choose.
What do you mean by reflash ? How does that work ?
This discussion thread has been automatically closed, as it hasn't received any new posts during the last 180 days. This means that you can't post replies or new questions to this discussion thread.

If you have something to add to this topic, use this page to post your question or comments to a new discussion thread.